/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

main(argc, argv)
    int  argc;
    char **argv;
{
    XtAppContext app_context;
    Widget  toplevel, rowcol, buttons[7];
    Arg     al[20];
    int     ac;
    int     i;
    static char  *names[] = {"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"};

    XtSetLanguageProc(NULL, NULL, NULL);

    ac = 0;
    toplevel = XtAppInitialize(&app_context, "Manage", NULL, 0,
                               &argc, argv, NULL, al, ac);
    /* Do not manage the toplevel shell */

    ac = 0;
    rowcol = XmCreateRowColumn(toplevel, "rowcol", al, ac);
    XtManageChild(rowcol); /* Manage one widget */

    for (i = 0; i < 7; i++) {
        ac = 0;
        buttons[i] = XmCreatePushButton(rowcol, names[i], al, ac);
    }
    XtManageChildren(buttons, 7); /* Manage multiple widgets at once */

    XtRealizeWidget(toplevel);
    XtAppMainLoop(app_context);
}
